import { verde } from '$lib/templates/verde';
import { azul } from '$lib/templates/azul';
import { corazon } from '$lib/templates/corazon';
import { posits } from '$lib/templates/posits';
import { acuarela } from '$lib/templates/acuarela';
import { amarillo } from '$lib/templates/amarillo';
import { curvas_azul } from '$lib/templates/curvas_azul';
import { diente_de_leon } from '$lib/templates/diente_de_leon';
import { marroncito } from '$lib/templates/marroncito';
import { pajaros_papel } from '$lib/templates/pajaros_papel';
import { sanitarios } from '$lib/templates/sanitarios';
/** 
* @typedef {{
* top: number;
* height: number;
* right: number;
* left: number;
* color: string;
* fontSize: number;
* fontFamily: string;
* lineHeight: number;
* textAlign: string;
* fontWeight: number;
* }} Element
*/

/**
* @typedef {{
* name: string;
* description: string;
* image: string;
* heading: Element;
* title: Element;
* subtitle: Element;
* date: Element;
* time: Element;
* weekday: Element;
* content: Element;
* address: Element;
* city: Element;
* }} Template
*/

/** @type Array<Template> */
export const templates = [verde, azul, corazon, posits, acuarela, amarillo, curvas_azul, diente_de_leon, marroncito, pajaros_papel, sanitarios];
